Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
iseq_label_data Struct Reference

## Data Fields
LINK_ELEMENT | link
int | label_no
int | position
int | sc_state
int | set
int | sp

## Detailed Description

Definition at line 42 of file compile.c.

## Field Documentation

int iseq_label_data::label_no

Definition at line 44 of file compile.c.

Referenced by dump_disasm_list(), insn_data_to_s_detail(), and new_label_body().

LINK_ELEMENT iseq_label_data::link

Definition at line 43 of file compile.c.

Referenced by get_destination_insn(), new_label_body(), and validate_label().

int iseq_label_data::position

Definition at line 45 of file compile.c.

Referenced by cdhash_set_label_i(), iseq_compile_each(), iseq_set_sequence(), label_get_position(), and validate_label().

int iseq_label_data::sc_state

Definition at line 46 of file compile.c.

Referenced by new_label_body().

int iseq_label_data::set

Definition at line 47 of file compile.c.

Referenced by iseq_set_sequence().

int iseq_label_data::sp

Definition at line 48 of file compile.c.

Referenced by iseq_set_sequence(), label_get_sp(), and new_label_body().

The documentation for this struct was generated from the following file:

- compile.c